//+---------------------------------------------------
//| 日期格式化为 yyyy-MM-dd hh:mm:ss
//+---------------------------------------------------
Date.prototype.format = function(format) {
    var date = {
        "M+" : this.getMonth() + 1,
        "d+" : this.getDate(),
        "h+" : this.getHours(),
        "m+" : this.getMinutes(),
        "s+" : this.getSeconds(),
        "q+" : Math.floor((this.getMonth() + 3) / 3),
        "S+" : this.getMilliseconds()
    };
    if (/(y+)/i.test(format)) {
        format = format.replace(RegExp.$1, (this.getFullYear() + '').substr(4 - RegExp.$1.length));
    }
    for (var k in date) {
        if (new RegExp("(" + k + ")").test(format)) {
            format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? date[k] : ("00" + date[k]).substr(("" + date[k]).length));
        }
    }
    return format;
}
//+---------------------------------------------------
//| 求两个时间的天数差 日期格式为 YYYY-MM-dd
//+---------------------------------------------------
function daysBetween(DateOne, DateTwo) {
    var OneMonth = DateOne.substring(5, DateOne.lastIndexOf('-'));
    var OneDay = DateOne.substring(DateOne.length, DateOne.lastIndexOf('-') + 1);
    var OneYear = DateOne.substring(0, DateOne.indexOf('-'));

    var TwoMonth = DateTwo.substring(5, DateTwo.lastIndexOf('-'));
    var TwoDay = DateTwo.substring(DateTwo.length, DateTwo.lastIndexOf('-') + 1);
    var TwoYear = DateTwo.substring(0, DateTwo.indexOf('-'));

    var cha = ((Date.parse(OneMonth + '/' + OneDay + '/' + OneYear) - Date.parse(TwoMonth + '/' + TwoDay + '/' + TwoYear)) / 86400000);
    return Math.abs(cha);
}

//+---------------------------------------------------
//| 时间日期格式化为 yyyy-MM-dd hh:mm:ss
//+---------------------------------------------------
function formatDate(date) {
    var now = new Date(date);
    var year = now.getFullYear();
    var month = now.getMonth() + 1;
    if (month >= 1 && month <= 9) {
        month = "0" + month;
    }
    var date = now.getDate();
    if (date >= 1 && date <= 9) {
        date = "0" + date;
    }
    var hour = now.getHours();
    if (hour >= 0 && hour <= 9) {
        hour = "0" + hour;
    }
    var minute = now.getMinutes();
    if (minute >= 0 && minute <= 9) {
        minute = "0" + minute;
    }
    var second = now.getSeconds();
    if (second >= 0 && second <= 9) {
        second = "0" + second;
    }
    return year + "年" + month + "月" + date + "日  "+hour+":"+minute+":"+second;
}

//+---------------------------------------------------
//| 时间日期格式化为 yyyy-MM-dd
//+---------------------------------------------------
function formatDateYMD(date) {
    var now =new Date(date)
    var year = now.getFullYear();
    var month = now.getMonth() + 1;
    if (month >= 1 && month <= 9) {
        month = "0" + month;
    }
    var date = now.getDate();
    if (date >= 1 && date <= 9) {
        date = "0" + date;
    }
    var hour = now.getHours();
    if (hour >= 0 && hour <= 9) {
        hour = "0" + hour;
    }
    var minute = now.getMinutes();
    if (minute >= 0 && minute <= 9) {
        minute = "0" + minute;
    }
    var second = now.getSeconds();
    if (second >= 0 && second <= 9) {
        second = "0" + second;
    }
    return year + "年" + month + "月" + date + "日";
}

//+---------------------------------------------------
//| 时间日期格式化为 MM-dd
//+---------------------------------------------------
function formatDateYM(date) {
    var now =new Date(date)
    var year = now.getFullYear();
    var month = now.getMonth() + 1;
    if (month >= 1 && month <= 9) {
        month = "0" + month;
    }
    var date = now.getDate();
    if (date >= 1 && date <= 9) {
        date = "0" + date;
    }
    var hour = now.getHours();
    if (hour >= 0 && hour <= 9) {
        hour = "0" + hour;
    }
    var minute = now.getMinutes();
    if (minute >= 0 && minute <= 9) {
        minute = "0" + minute;
    }
    var second = now.getSeconds();
    if (second >= 0 && second <= 9) {
        second = "0" + second;
    }
    return year + "年" + month + "月";
}