if(typeof this["ep"] == "undefined"){
	this.ep = {};
};

ep.DataCenter = function(data)
{
	var _this = this;
	
	this.clear = function(){
		this._headers = {};
		this._parameters = {};
		this._rowsets = {};
	};

	this.getHeaders = function()
	{
		return this._headers;
	};
	
	this.getHeaderAttribute = function(name)
	{
		return this._headers[name];
	};
	
	this.addHeaderAttribute = function(name, value)
	{
		this._headers[name] = value;
		if(name == "identifier")
		{
			localStorage.setItem("identifier", value);
		}
	};
	
	
	this.getParameters = function()
	{
		return this._parameters;
	};
	
	this.getParameter = function(name)
	{
		return this._parameters[name];
	};
	
	this.addParameter = function(name, value)
	{
		if (typeof this._parameters[name] == "array" || this._parameters[name] instanceof Array)
		{
			this._parameters[name].push(value);
		}
		else
		{
			this._parameters[name] = value;
		}
	};
	
	this.setParameter = function(name, value)
	{
		this._parameters[name] = value;
	};
	
	this.removeParameter = function(name)
	{
		delete this._parameters[name];
	};

	this.getRowSets = function()
	{
		return this._rowsets;
	};
	
	this.getRowSet = function(name)
	{
		var ds = this._rowsets[name];
		return (typeof ds == "undefined") ? null : ds;
	};
	
	this.removeRowSet = function(name)
	{
		delete this._rowsets[name];
	};
	
	this.addRowSet = function(name, rowset)
	{
		this._rowsets[name] = rowset;
	};
	
	this.toJson = function()
	{
		var store = [], result = [];
		result.push("{\"headers\":");
		result.push(jq.toJson(this._headers));
		result.push(",\"parameters\":");
		result.push(jq.toJson(this._parameters));
		result.push(",\"rowSets\":{");
		for(var name in this._rowsets)
		{
			store.push(("\"" + name + "\":").concat(jq.toJson(this._rowsets[name])));
		}
		result.push(store.join(","));
		result.push("}}");
		return result.join("");
	};
	
	
	//
	var init = function(){
	
		_this.clear();
		if (!data || (jq.isString(data) && !jq.isObject(data = jq.fromJson(data))))
		{
			//_this.addHeaderAttribute("identifier", localStorage.getItem("identifier"));
			//alert("aa:" + appcan.locStorage.val('identifier'));
			_this.addHeaderAttribute("identifier", appcan.locStorage.val('identifier'));
		}
		else
		{
			if (data.headers)
			{
				jq.extend(_this._headers, data.headers);
				if(data.headers.identifier)
				{
					//localStorage.setItem("identifier", data.headers.identifier);
					appcan.locStorage.setVal('identifier', data.headers.identifier);
				}
			}
			if (data.parameters)
			{
				_this._parameters = data.parameters;
			}
			if (data.rowSets)
			{
				_this._rowsets = data.rowSets;
			}
		}
	};
	
	init();
	return this;//链式
};