/** 
* extension of JSON, type for jQuery 
* AUTHOR: xushengs@gmail.com 
* LICENSE: http://www.opensource.org/licenses/mit-license.php 
* WEBSITE: http://fdream.net/ 
*/ 
(function(jq) { 
    jq.isString = function(it) {return(typeof it=="string"||it instanceof String)};
    jq.isArray = function(it){return it&&(it instanceof Array||typeof it=="array")};
	jq.isFunction=function(it){return Object.prototype.toString.call(it)==="[object Function]"};
	jq.isObject=function(it){return it!==undefined&&(it===null||typeof it=="object"||jq.isArray(it)||jq.isFunction(it))};
    
    var _global = this;
    var _getParts=function(arr,obj,cb){
		return[(typeof arr=="string") ? arr.split(""):arr, obj||_global, (typeof cb=="string") ? new Function("item","index","array", cb):cb];
	};
    
    jq.map = function(arr, callback, thisObject) {
		var _p= _getParts(arr,thisObject,callback);
		arr=_p[0];var outArr=(arguments[3]?(new arguments[3]()):[]);
		for(var i=0,l=arr.length;i<l;++i){outArr.push(_p[2].call(_p[1],arr[i],i,arr))}return outArr;
	};

   
	jq.fromJson=function(_1){
		return eval("("+_1+")");
	};
	
	jq._escapeString=function(_2){
		return ("\""+_2.replace(/(["\\])/g,"\\jq1")+"\"").replace(/[\f]/g,"\\f").replace(/[\b]/g,"\\b").replace(/[\n]/g,"\\n").replace(/[\t]/g,"\\t").replace(/[\r]/g,"\\r");
	};
	
	jq.toJsonIndentStr="\t";
	
	jq.toJson=function(it,prettyPrint,_indentStr){
		if(it===undefined){
			return "undefined";
		}
		var objtype=typeof it;
		if(objtype=="number"||objtype=="boolean"){
			return it+"";
		}
		if(it===null){
			return "null";
		}
		if(jq.isString(it)){
			return jq._escapeString(it);
		}
		var recurse=arguments.callee;
		var newObj;
		_indentStr=_indentStr||"";
		var nextIndent=prettyPrint?_indentStr+jq.toJsonIndentStr:"";
		var tf=it.__json__||it.json;
		if(jq.isFunction(tf)){
		newObj=tf.call(it);
		if(it!==newObj){
		return recurse(newObj,prettyPrint,nextIndent);
		}
		}
		if(it.nodeType&&it.cloneNode){
		throw new Error("Can't serialize DOM nodes");
		}
		var sep=prettyPrint?" ":"";
		var newLine=prettyPrint?"\n":"";
		
		if(jq.isArray(it)){
			var _b= jq.map(it,function(_c){
				var _d=recurse(_c,prettyPrint,nextIndent);
				if(typeof _d!="string"){
				_d="undefined";
				}
				return newLine+nextIndent+_d;
			});
			return "["+_b.join(","+sep)+newLine+_indentStr+"]";
		}
		
		if(objtype=="function"){
			return null;
		}
		
		var output=[],key;
		for(key in it){
			var keyStr,val;
			
			if(typeof key=="number"){
				keyStr="\""+key+"\"";
			}
			else{
				if(typeof key=="string"){
					keyStr=jq._escapeString(key);
				}else{
					continue;
				}
			}
			val=recurse(it[key],prettyPrint,nextIndent);
			if(typeof val!="string"){
			continue;
			}
			output.push(newLine+nextIndent+keyStr+":"+sep+val);
		}
		return "{"+output.join(","+sep)+newLine+_indentStr+"}";
	};
})(jQuery);