var _$encode = function(_map, _content) {
    _content = '' + _content;
    if (!_map || !_content) {
        return _content || '';
    }
    return _content.replace(_map.r, function($1) {
        var _result = _map[!_map.i ? $1.toLowerCase() : $1];
        return _result != null ? _result : $1;
    });
};
var _$escape = (function() {
    var _reg = /<br\/?>$/,
        _map = {
        r : /\<|\>|\&|\r|\n|\s|\'|\"/g,
        '<' : '&lt;',
        '>' : '&gt;',
        '&' : '&amp;',
        ' ' : '&nbsp;',
        '"' : '&quot;',
        "'" : '&#39;',
        '\n' : '<br/>',
        '\r' : ''
    };
    return function(_content) {
        _content = _$encode(_map, _content);
        return _content.replace(_reg, '<br/><br/>');
    };
})();
/* 格式化日期 */
Date.prototype.Format = function(fmt) {
    var o = {
        "M+" : this.getMonth() + 1, // 月份
        "d+" : this.getDate(), // 日
        "h+" : this.getHours(), // 小时
        "m+" : this.getMinutes(), // 分
        "s+" : this.getSeconds(), // 秒
        "q+" : Math.floor((this.getMonth() + 3) / 3), // 季度
        "S" : this.getMilliseconds() // 毫秒
    };
    if (/(y+)/.test(fmt))
        fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
    if (new RegExp("(" + k + ")").test(fmt))
        fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}
/**
 * 时间戳转化为日期（用于消息列表）
 * @return {string} 转化后的日期
 */
var transTime = (function() {
    var getDayPoint = function(time) {
        time.setMinutes(0);
        time.setSeconds(0);
        time.setMilliseconds(0);
        time.setHours(0);
        var today = time.getTime();
        time.setMonth(1);
        time.setDate(1);
        var yearDay = time.getTime();
        return [today, yearDay];
    }
    return function(time) {
        var check = getDayPoint(new Date());
        if (time >= check[0]) {
            return dateFormat(time, "HH:mm")
        } else if (time < check[0] && time >= check[1]) {
            return dateFormat(time, "MM-dd HH:mm")
        } else {
            return dateFormat(time, "yyyy-MM-dd HH:mm")
        }
    }
})();

/**
 * 日期格式化
 * @return string
 */
var dateFormat = (function() {
    var _map = {
        i : !0,
        r : /\byyyy|yy|MM|cM|eM|M|dd|d|HH|H|mm|ms|ss|m|s|w|ct|et\b/g
    },
        _12cc = ['上午', '下午'],
        _12ec = ['A.M.', 'P.M.'],
        _week = ['日', '一', '二', '三', '四', '五', '六'],
        _cmon = ['一', '二', '三', '四', '五', '六', '七', '八', '九', '十', '十一', '十二'],
        _emon = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sept', 'Oct', 'Nov', 'Dec'];
    var _fmtnmb = function(_number) {
        _number = parseInt(_number) || 0;
        return (_number < 10 ? '0' : '') + _number;
    };
    var _fmtclc = function(_hour) {
        return _hour < 12 ? 0 : 1;
    };
    return function(_time, _format, _12time) {
        if (!_time || !_format)
            return '';
        _time = new Date(_time);
        _map.yyyy = _time.getFullYear();
        _map.yy = ('' + _map.yyyy).substr(2);
        _map.M = _time.getMonth() + 1;
        _map.MM = _fmtnmb(_map.M);
        _map.eM = _emon[_map.M - 1];
        _map.cM = _cmon[_map.M - 1];
        _map.d = _time.getDate();
        _map.dd = _fmtnmb(_map.d);
        _map.H = _time.getHours();
        _map.HH = _fmtnmb(_map.H);
        _map.m = _time.getMinutes();
        _map.mm = _fmtnmb(_map.m);
        _map.s = _time.getSeconds();
        _map.ss = _fmtnmb(_map.s);
        _map.ms = _time.getMilliseconds();
        _map.w = _week[_time.getDay()];
        var _cc = _fmtclc(_map.H);
        _map.ct = _12cc[_cc];
        _map.et = _12ec[_cc];
        if (!!_12time) {
            _map.H = _map.H % 12;
        }
        return _$encode(_map, _format);
    };
})();

var judgePlatformStyle = function() {

    var android = window.navigator.userAgent.indexOf('Android');
    if (android > 0) {
        return 0;
    } else {
        return 1;
    }

}

var openImageWindow = function(){
    var img = $(this).children('.j-image');
            
    appcan.locStorage.setVal('url', img.attr('src'));
    
    appcan.window.open('image', 'imageWindow.html', 0,'', '', '', '100');
}


var preNode;
var timeoutProcess;
var playAudio = function(){
    var node = $(this);
    var btn = $(this).children(".j-play");

    if (node.hasClass("play")) {

        clearTimeout(timeoutProcess);
        node.removeClass("play");
        //audio.pause();
        // uexAudio.stop();
        //audio.currentTime = 0.0;
        uexNIM.stopPlay();
    } else {
        if (preNode && preNode.hasClass("play")) {
            clearTimeout(timeoutProcess);
            preNode.removeClass("play");
            uexNIM.stopPlay();
        }

        node.addClass("play");

        timeoutProcess = setTimeout(function() {
            node.removeClass("play");
        }, parseInt(btn.attr("data-dur")));

        //audio = new window.Audio(btn.attr("data-src")+"?audioTrans&type=mp3");
        //audio.play();

        // uexAudio.open(btn.attr("data-src"));
        // uexAudio.play(0);

        var params = {
            filePath : btn.attr('data-src')
        };
        uexNIM.playAudio(JSON.stringify(params));

        uexNIM.switchAudioOutputDevice('{"outputDevice":"1"}');

    }

    preNode = node;
}

var getBodyStyle = function(){   
   return document.body.currentStyle || document.defaultView.getComputedStyle(document.body, ''); 
}

var writeToFileInTool = function (param) {
      alert('写入内容：' + JSON.stringify(param));
      appcan.file.write({
           filePath:'wgt://testChatList1.txt',
           content:JSON.stringify(param),
           callback:function(err){
               if(err){
                   alert(err);
                   return false;
               }
               
               return true;
           }            
       })
}

var readFromFileInTool = function () {
      appcan.file.read({
          filePath:'wgt://testChatList1.txt',
          callback:function(err, data){
              if (err) {
                  alert(err);
                  return;
              };
                  
              alert('读取内容' + data);  
              return data;
          }
      })          
}     






       